<?php

function swa_shortocde( $atts ) {

	$swa = swa();
	$ads = $swa->get_ads();
	$output = "";
	if( $ads ) {

		$top_ads = $ads['top'];
		$bottom_ads = $ads['bottom'];
		$merged_ads = array_merge( $top_ads, $bottom_ads );

		if( count( $merged_ads ) > 0 ) {
			$random_ad = array_rand( $merged_ads );
			$the_random_ad = $top_ads[ $random_ad ];
			swa_set_impressions( $the_random_ad ); 

			 

			$ad_meta = get_post_meta( $the_random_ad['id'], 'swa_info', true );
			
			$link = $ad_meta['link'];

			$output =  '<div class="swa_ad">';
				$output .=  '<a data-id="' . $the_random_ad['id'] . '" target="_blank" href="' . $link . '">';
					$output .=  get_the_post_thumbnail( $the_random_ad['id'], 'full' );
					$output .=  '<p>' . $the_random_ad['post_title'] . '</p>';
				$output .=  '</a>';
			$output .=  '</div>';
			
	 
		}
	}	
	return $output;
}

add_shortcode( 'swa', 'swa_shortocde' );